File python-crypto.changes of Package python-crypto.564

-------------------------------------------------------------------
Tue Jun 19 15:08:00 UTC 2012 - jmatejek@suse.com

- fixes bnc#764127 CVE-2012-2417 insecure ElGamal key generation

-------------------------------------------------------------------
Tue Nov  2 15:45:32 UTC 2010 - pascal.bleser@opensuse.org

- require gmp-devel to enable fastmath features

- update to 2.3.0:
  * fix NameError when attempting to use deprecated getRandomNumber() function
  * _slowmath: Compute RSA u parameter when it's not given to RSA.construct; this makes _slowmath behave the same as _fastmath in this regard
  * make RSA.generate raise a more user-friendly exception message when the user tries to generate a bogus-length key

- changes from 2.2.0:
  * deprecated Crypto.Util.number.getRandomNumber(), which had confusing semantics; it's been replaced by getRandomNBitInteger and getRandomInteger
  * better isPrime() and getPrime() implementations that do a real Rabin-Miller probabilistic primality test (not the phony test we did before with fixed bases)
  * getStrongPrime() implementation for generating RSA primes
  * support for importing and exporting RSA keys in DER and PEM format
  * fix PyCrypto when floor division (python -Qnew) is enabled

-------------------------------------------------------------------
Thu Mar 18 17:01:03 CET 2010 - matejcik@suse.cz

- update to 2.1.0 - newly maintained at upstream
  * many bugfixes, minor API updates and deprecations
    (see included ChangeLog for details)
  * reimplementation of several algorithms to alleviate
    copyright concerns
  * documentation now in rst format, epydoc config supplied
  * integrated test suite
- enabled test suite in %check stage

-------------------------------------------------------------------
Tue Nov  3 19:09:40 UTC 2009 - coolo@novell.com

- updated patches to apply with fuzz=0

-------------------------------------------------------------------
Tue Mar 10 18:29:49 CET 2009 - matejcik@suse.cz

- fixed buffer overflow in ARC2 module (CVE-2009-0544,
  bnc#483345 )

-------------------------------------------------------------------
Thu Oct 19 18:17:38 CEST 2006 - jmatejek@suse.cz

- minor fixes for better 64bit PEP353 compatibility

-------------------------------------------------------------------
Tue Feb 28 16:46:03 CET 2006 - jmatejek@suse.cz

- updated to reflect python changes due to #149809

-------------------------------------------------------------------
Wed Jan 25 21:40:46 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Mon Oct 31 12:39:47 CET 2005 - dmueller@suse.de

- don't build as root 

-------------------------------------------------------------------
Mon Oct 10 12:29:36 CEST 2005 - jmatejek@suse.cz

- update to 2.0.1

-------------------------------------------------------------------
Tue Feb  8 11:15:21 CET 2005 - tcrhak@suse.cz

- created new package